#!/usr/bin/env python3
""" Statistical Language Processing (SNLP), Assignment 1
    See <https://snlp2020.github.io/a1/> for detailed instructions.

    <Please insert your name and the honor code here.>
"""


def download_tweets(screen_name, keys, max_tweets=None):
    """Download all tweets of Twitter user with given screen_name.

    See the assignment sheet for detailed instructions.

    Parameters:
    -----------
    screen_name:  The screen name of the twitter user
    keys:         An object (or package) with four members,
                    consumer_key, consumer_secret,
                    access_token, access_secret
                  each holding respective OAuth authorization key.
    max_tweets:   Maximum number of tweets to download. If None, all
                  tweets (as much as Twitter allows) should be
                  downloaded.
    Returns:
    ----------
    tweets:       A list of dictionaries containing all the information
                  downloaded from Twitter for each tweet. 
    """
    # Implement exercise 1.2 here

def print_statistics(tweets):
    """Print out some statistics about the collected tweets.

    See the assignment sheet for detailed instructions.

    Parameters:
    -----------
    tweets:     A list of dictionaries containing all the information
                downloaded from Twitter for each tweet. 

    Returns:    None
    """
    # Implement exercise 1.3 here


def save_tweets(tweets, filename, compress=False):
    """Save the downloaded tweets to a JSON file.

    Parameters:
    -----------
    tweets:     A list of dictionaries containing all the information
                downloaded from Twitter for each tweet. 
    filename:   The filename to save the tweets. Overwrite it if file exists.
    compress:   If True, the file should be compressed using gzip algorithm.

    Returns:    None
    """
    # Implement exercise 1.4 here

if __name__ == "__main__":
    # Implement 1.5 here
